{TSamp1 - This program calls the Spillit routine to tell us everything it can.}
library Tsamp1;

uses
  SysUtils, Classes, Windows,
  HttpExt, TISAPILt;

// GetExtensionVersion is required by the MS IIS.  Don't mess with it.
// CASE MATTERS FOR THIS FUNCTION NAME
function GetExtensionVersion(var ver: THSE_VERSION_INFO): Boolean; stdcall;
begin
  ver.dwExtensionVersion := MAKELONG(HSE_VERSION_MINOR, HSE_VERSION_MAJOR);
  StrPCopy(ver.lpszExtensionDesc, 'Delphi ISAPI DLL');
  result:=True;
end;

// CASE MATTERS FOR THIS FUNCTION NAME
function HttpExtensionProc(var ecb: TEXTENSION_CONTROL_BLOCK): LongInt; stdcall;
var
  MyISAPI : TISAPI;

begin
  MyISAPI := TISAPI.Create; //Create our TECB and assign its published data elements
  with MyISAPI do
  begin
    SetECB(@ecb);    //Set the ECB pointer - Note the @ operator
    try
      Spillit;
    finally
      Free;          // DON'T FORGET TO RELEASE THE RESOURCES
    end;
  end;

  result := HSE_STATUS_SUCCESS;  // That's all folks
end;

// * REQUIRED FOR DYNAMIC BINDING.
// * Index values aren't needed.
// * Case doesn't matter here.
exports
  GetExtensionVersion,
  HttpExtensionProc;

begin
end.
